XEmacs error

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

XEmacs error

only4
Gnuplot-mode is nice XEmacs mode for programming gnuplot scripts.
http://cars9.uchicago.edu/~ravel/software/gnuplot-mode.html

This is the situation:
XEmacs ported to cygwin ok.
Gnuplot ported to cygwin: ver 4:
http://cygwin.com/cgi-bin2/package-grep.cgi?grep=gnuplot
gnuplot-mode: not ported. current version 0.60
http://feff.phys.washington.edu/~ravel/software/gnuplot-mode/

This is not so bad, because an emacs_mode is lisp-like code to be compiled
by XEmacs and ported XEmacs is ready.
It seem to me feasible to get this "plugin" compiled in its language and use
it but...

After downloading gluplot-mode 0.60, ./configure, make... I get this XEmacs
specific error:

$ make EMACS=xemacs
test "." = "." || cp ./gnuplot.el .
xemacs -batch -q -no-site-file -l ./dot.el -f batch-byte-compile gnuplot.el
Compiling /home/me/gnuplot-mode.0.6.0-xemacs/gnuplot.el...
While compiling toplevel forms in file
/home/me/gnuplot-mode.0.6.0-xemacs/gnuplo
t.el:
  !! File error (("Cannot open load file" "comint"))
>>Error occurred processing gnuplot.el: Cannot open load file: comint

Done
make: *** [gnuplot.elc] Error 1




--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://x.cygwin.com/docs/
FAQ:                   http://x.cygwin.com/docs/faq/

Reply | Threaded
Open this post in threaded view
|

Re: XEmacs error

Dr. Volker Zell
>>>>> only4  writes:

    > Gnuplot-mode is nice XEmacs mode for programming gnuplot scripts.
    > http://cars9.uchicago.edu/~ravel/software/gnuplot-mode.html

    > This is the situation:
    > XEmacs ported to cygwin ok.
    > Gnuplot ported to cygwin: ver 4:
    > http://cygwin.com/cgi-bin2/package-grep.cgi?grep=gnuplot
    > gnuplot-mode: not ported. current version 0.60
    > http://feff.phys.washington.edu/~ravel/software/gnuplot-mode/

    > This is not so bad, because an emacs_mode is lisp-like code to be compiled
    > by XEmacs and ported XEmacs is ready.
    > It seem to me feasible to get this "plugin" compiled in its language and use
    > it but...

    > After downloading gluplot-mode 0.60, ./configure, make... I get this XEmacs
    > specific error:

    > $ make EMACS=xemacs
    > test "." = "." || cp ./gnuplot.el .
    > xemacs -batch -q -no-site-file -l ./dot.el -f batch-byte-compile gnuplot.el
    > Compiling /home/me/gnuplot-mode.0.6.0-xemacs/gnuplot.el...
    > While compiling toplevel forms in file
    > /home/me/gnuplot-mode.0.6.0-xemacs/gnuplo
    > t.el:
    >   !! File error (("Cannot open load file" "comint"))
    >>> Error occurred processing gnuplot.el: Cannot open load file: comint

I get:

08:03 PM [538]> make EMACS=xemacs
compiling info-look for xemacs 21.4
Using info-look.20.3.el
Compiling /usr/local/src/gnuplot-mode.0.6.0/info-look.el...
Wrote /usr/local/src/gnuplot-mode.0.6.0/info-look.elc
Done
test "." = "." || cp ./gnuplot.el .
xemacs -batch -q -no-site-file -l ./dot.el -f batch-byte-compile gnuplot.el
Compiling /usr/local/src/gnuplot-mode.0.6.0/gnuplot.el...
Wrote /usr/local/src/gnuplot-mode.0.6.0/gnuplot.elc
Done
test "." = "." || cp ./gnuplot-gui.el .
xemacs -batch -q -no-site-file -l ./dot.el -f batch-byte-compile gnuplot-gui.el
Compiling /usr/local/src/gnuplot-mode.0.6.0/gnuplot-gui.el...
Wrote /usr/local/src/gnuplot-mode.0.6.0/gnuplot-gui.elc
Done


Maybe you haven't installed xemacs-sumo-2005-05-05-1

comint.el is under /usr/share/xemacs/xemacs-packages/lisp/xemacs-base/

By the way, gnuplot-mode works fine here.

Ciao
  Volker


--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://x.cygwin.com/docs/
FAQ:                   http://x.cygwin.com/docs/faq/

Reply | Threaded
Open this post in threaded view
|

Re: XEmacs error

only4
> Maybe you haven't installed xemacs-sumo-2005-05-05-1
>
> comint.el is under /usr/share/xemacs/xemacs-packages/lisp/xemacs-base/
>

Yes, true, -sumo- not installed: now that I have 'comint' gnuplot-mode
compiled ok.

> By the way, gnuplot-mode works fine here.
here too, now.

Thank you




--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://x.cygwin.com/docs/
FAQ:                   http://x.cygwin.com/docs/faq/